<?php

$babysitter_childcare_tp_theme_css = '';

$babysitter_childcare_tp_color_option = get_theme_mod('babysitter_childcare_tp_color_option');

// 1st color
$babysitter_childcare_tp_color_option = get_theme_mod('babysitter_childcare_tp_color_option', '#64a22d');
if ($babysitter_childcare_tp_color_option) {
	$babysitter_childcare_tp_theme_css .= ':root {';
	$babysitter_childcare_tp_theme_css .= '--color-primary1: ' . esc_attr($babysitter_childcare_tp_color_option) . ';';
	$babysitter_childcare_tp_theme_css .= '}';
}

//preloader

$babysitter_childcare_tp_preloader_color1_option = get_theme_mod('babysitter_childcare_tp_preloader_color1_option');
$babysitter_childcare_tp_preloader_color2_option = get_theme_mod('babysitter_childcare_tp_preloader_color2_option');
$babysitter_childcare_tp_preloader_bg_color_option = get_theme_mod('babysitter_childcare_tp_preloader_bg_color_option');

if($babysitter_childcare_tp_preloader_color1_option != false){
$babysitter_childcare_tp_theme_css .='.center1{';
	$babysitter_childcare_tp_theme_css .='border-color: '.esc_attr($babysitter_childcare_tp_preloader_color1_option).' !important;';
$babysitter_childcare_tp_theme_css .='}';
}
if($babysitter_childcare_tp_preloader_color1_option != false){
$babysitter_childcare_tp_theme_css .='.center1 .ring::before{';
	$babysitter_childcare_tp_theme_css .='background: '.esc_attr($babysitter_childcare_tp_preloader_color1_option).' !important;';
$babysitter_childcare_tp_theme_css .='}';
}
if($babysitter_childcare_tp_preloader_color2_option != false){
$babysitter_childcare_tp_theme_css .='.center2{';
	$babysitter_childcare_tp_theme_css .='border-color: '.esc_attr($babysitter_childcare_tp_preloader_color2_option).' !important;';
$babysitter_childcare_tp_theme_css .='}';
}
if($babysitter_childcare_tp_preloader_color2_option != false){
$babysitter_childcare_tp_theme_css .='.center2 .ring::before{';
	$babysitter_childcare_tp_theme_css .='background: '.esc_attr($babysitter_childcare_tp_preloader_color2_option).' !important;';
$babysitter_childcare_tp_theme_css .='}';
}
if($babysitter_childcare_tp_preloader_bg_color_option != false){
$babysitter_childcare_tp_theme_css .='.loader{';
	$babysitter_childcare_tp_theme_css .='background: '.esc_attr($babysitter_childcare_tp_preloader_bg_color_option).';';
$babysitter_childcare_tp_theme_css .='}';
}

// footer-bg-color
$babysitter_childcare_tp_footer_bg_color_option = get_theme_mod('babysitter_childcare_tp_footer_bg_color_option');

if($babysitter_childcare_tp_footer_bg_color_option != false){
$babysitter_childcare_tp_theme_css .='#footer{';
	$babysitter_childcare_tp_theme_css .='background: '.esc_attr($babysitter_childcare_tp_footer_bg_color_option).' !important;';
$babysitter_childcare_tp_theme_css .='}';
}

// logo tagline color
$babysitter_childcare_site_tagline_color = get_theme_mod('babysitter_childcare_site_tagline_color');

if($babysitter_childcare_site_tagline_color != false){
$babysitter_childcare_tp_theme_css .='.logo h1 a, .logo p a{';
$babysitter_childcare_tp_theme_css .='color: '.esc_attr($babysitter_childcare_site_tagline_color).'!important;';
$babysitter_childcare_tp_theme_css .='}';
}

$babysitter_childcare_logo_tagline_color = get_theme_mod('babysitter_childcare_logo_tagline_color');
if($babysitter_childcare_logo_tagline_color != false){
$babysitter_childcare_tp_theme_css .='p.site-description{';
$babysitter_childcare_tp_theme_css .='color: '.esc_attr($babysitter_childcare_logo_tagline_color).';';
$babysitter_childcare_tp_theme_css .='}';
}

// footer widget title color
$babysitter_childcare_footer_widget_title_color = get_theme_mod('babysitter_childcare_footer_widget_title_color');
if($babysitter_childcare_footer_widget_title_color != false){
$babysitter_childcare_tp_theme_css .='#footer h3{';
$babysitter_childcare_tp_theme_css .='color: '.esc_attr($babysitter_childcare_footer_widget_title_color).';';
$babysitter_childcare_tp_theme_css .='}';
}

// copyright text color
$babysitter_childcare_footer_copyright_text_color = get_theme_mod('babysitter_childcare_footer_copyright_text_color');
if($babysitter_childcare_footer_copyright_text_color != false){
$babysitter_childcare_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$babysitter_childcare_tp_theme_css .='color: '.esc_attr($babysitter_childcare_footer_copyright_text_color).' !important;';
$babysitter_childcare_tp_theme_css .='}';
}

// header image title color
$babysitter_childcare_header_image_title_text_color = get_theme_mod('babysitter_childcare_header_image_title_text_color');
if($babysitter_childcare_header_image_title_text_color != false){
$babysitter_childcare_tp_theme_css .='.box-text h2{';
$babysitter_childcare_tp_theme_css .='color: '.esc_attr($babysitter_childcare_header_image_title_text_color).';';
$babysitter_childcare_tp_theme_css .='}';
}

// menu color
$babysitter_childcare_menu_color = get_theme_mod('babysitter_childcare_menu_color');
if($babysitter_childcare_menu_color != false){
$babysitter_childcare_tp_theme_css .='.main-navigation a{';
$babysitter_childcare_tp_theme_css .='color: '.esc_attr($babysitter_childcare_menu_color).';';
$babysitter_childcare_tp_theme_css .='}';
}